%define gcj_support 1
%define section free

Name:           gnu.regexp
Version:        1.1.4
Release:        %mkrel 16
Epoch:          0
Summary:        Java NFA regular expression engine implementation
License:        LGPL
# cvs -z3 -d:pserver:anonymous@cvs.savannah.gnu.org:/sources/gnu-regexp co gnu-regexp
Source0:        gnu-regexp-1.1.4.tar.bz2
Source1:        %{name}.build.xml
BuildRequires:  ant
BuildRequires:  gnu.getopt
BuildRequires:  java-rpmbuild >= 0:1.5
URL:            http://savannah.gnu.org/projects/gnu-regexp/
Group:          Development/Java
%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel >= 0:1.0.31
%else
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#Distribution:  JPackage
#Vendor:        JPackage Project

%description
The gnu.regexp package is a pure-Java implementation of a traditional
(non-POSIX) NFA regular expression engine. Its syntax can emulate many
popular development tools, including awk, sed, emacs, perl and grep. For
a relatively complete list of supported and non-supported syntax, refer
to the syntax and usage notes.

%package demo
Summary:        Demo for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       gnu.getopt
Group:          Development/Java

%description demo
Demonstrations and samples for %{name}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n gnu-regexp
%__cp -a %{SOURCE1} build.xml
# remove all binary libs
find . -name "*.jar" -exec %__rm -f {} \;

%build
export CLASSPATH=$(build-classpath gnu.getopt)
%{ant} jar javadoc

%install
%__rm -rf %{buildroot}

# jars
%__mkdir_p %{buildroot}%{_javadir}
%__cp -a build/lib/%{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do %__ln_s ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# demo
%__mkdir_p %{buildroot}%{_datadir}/%{name}/gnu/regexp/util
%__cp -a build/classes/gnu/regexp/util/*.class \
  %{buildroot}%{_datadir}/%{name}/gnu/regexp/util

# javadoc
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a build/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(cd %{buildroot}%{_javadocdir} && %__ln_s %{name}-%{version} %{name})

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
%__rm -rf %{buildroot}

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%post javadoc
%__rm -f %{_javadocdir}/%{name}
%__ln_s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  %__rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc COPYING COPYING.LIB README TODO docs/*.html
%{_javadir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/*
%endif

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}




%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:1.1.4-16mdv2009.0
+ Revision: 221095
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:1.1.4-15mdv2008.1
+ Revision: 120889
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.1.4-14mdv2008.0
+ Revision: 87383
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Sun Sep 09 2007 Pascal Terjan <pterjan@mandriva.org> 0:1.1.4-13mdv2008.0
+ Revision: 82797
- update to new version


* Sat Dec 16 2006 David Walluck <walluck@mandriva.org> 1.1.4-12mdv2007.0
+ Revision: 97987
- use gcjdb macros

* Sat Dec 16 2006 David Walluck <walluck@mandriva.org> 0:1.1.4-10mdv2007.1
+ Revision: 97970
- Import gnu.regexp

* Fri Dec 15 2006 David Walluck <walluck@mandriva.org> 0:1.1.4-10mdv2007.1
- bring back to life

* Fri Dec 02 2005 David Walluck <walluck@mandriva.org> 0:1.1.4-9.1mdk
- aot-compile

* Sun Sep 11 2005 David Walluck <walluck@mandriva.org> 0:1.1.4-7.1mdk
- release

* Fri Jun 17 2005 Gary Benson <gbenson@redhat.com> 0:1.1.4-7jpp_1fc
- Build into Fedora.

* Fri Jun 10 2005 Gary Benson <gbenson@redhat.com>
- Remove jarfiles from the tarball.

* Fri Nov 12 2004 Fernando Nasser <fnasser@redhat.com> 0:1.1.4-7jpp_1rh
- First Red Hat build

* Tue Aug 24 2004 Ralph Apel <r.apel at r-apel.de> 0:1.1.4-7jpp
- Build with ant-1.6.2

